[compiler-rt] r251572 - [asan] Fix asan_device_setup script on KitKat.
Evgeniy Stepanov via llvm-commits
llvm-commits at lists.llvm.org
Wed Oct 28 15:55:12 PDT 2015
Author: eugenis
Date: Wed Oct 28 17:55:12 2015
New Revision: 251572
URL: http://llvm.org/viewvc/llvm-project?rev=251572&view=rev
Log:
[asan] Fix asan_device_setup script on KitKat.
app_process32, when started via a shell script wrapper, needs a
different security context to satisty SELinux.
Patch by Abhishek Arya.
Modified:
compiler-rt/trunk/lib/asan/scripts/asan_device_setup
Modified: compiler-rt/trunk/lib/asan/scripts/asan_device_setup
URL: http://llvm.org/viewvc/llvm-project/compiler-rt/trunk/lib/asan/scripts/asan_device_setup?rev=251572&r1=251571&r2=251572&view=diff
==============================================================================
--- compiler-rt/trunk/lib/asan/scripts/asan_device_setup (original)
+++ compiler-rt/trunk/lib/asan/scripts/asan_device_setup Wed Oct 28 17:55:12 2015
@@ -276,6 +276,7 @@ if [[ -n "$ASAN_RT64" ]]; then
adb_pull /system/bin/asanwrapper64 "$TMPDIROLD" || true
else
adb_pull /system/lib/"$ASAN_RT" "$TMPDIROLD" || true
+ adb_pull /system/bin/app_process32 "$TMPDIROLD" || true
adb_pull /system/bin/app_process.wrap "$TMPDIROLD" || true
adb_pull /system/bin/asanwrapper "$TMPDIROLD" || true
fi
@@ -401,6 +402,7 @@ if ! ( cd "$TMPDIRBASE" && diff -qr old/
install "$TMPDIR/asanwrapper64" /system/bin 755
else
install "$TMPDIR/$ASAN_RT" /system/lib 644
+ install "$TMPDIR/app_process32" /system/bin 755 $CTX
install "$TMPDIR/app_process.wrap" /system/bin 755 $CTX
install "$TMPDIR/asanwrapper" /system/bin 755 $CTX
More information about the llvm-commits
mailing list